#!/bin/bash
mvn clean
mvn package -Dmaven.test.skip=true
#image_version=$(date +%Y%m%d%H%M)
image_version=$version
docker stop iot_gateway_service || true
docker rm iot_gateway_service || true
# 删除镜像
docker rmi -f $(docker images | grep telpo/iot_gateway_service | awk '{print $3}')

docker build . -t telpo/iot_gateway_service:$image_version

#TODO:推送镜像到私有仓库
echo '=================开始推送镜像======================='
docker tag telpo/iot_gateway_service:$image_version 139.224.254.18:5000/iot_gateway_service:$image_version
docker push 139.224.254.18:5000/iot_gateway_service:$image_version
echo '=================推送镜像完成======================='

#删除产生的None镜像
docker rmi -f $(docker images | grep none | awk '{print $3}')
# 查看镜像列表
docker images
# 启动容器
docker run -v /home/data/iotgatewayserver/log:/var/log/iotgatewayserver -d -e active=dev --network host --restart=always  -p 8110:8110  --name iot_gateway_service telpo/iot_gateway_service:$image_version
# 查看日志
docker logs iot_gateway_service
