#!/bin/bash
environment=$1
version=$2
echo "环境变量为$environment,版本为$version!"
if [[ $environment == 'pro' ]]; then
  echo "开始远程构建容器"
  docker stop iot_gateway_service || true
  docker rm iot_gateway_service || true
  docker rmi -f $(docker images | grep registry.cn-shanghai.aliyuncs.com/telpo_platform/iot_gateway_service | awk '{print $3}')
  docker login --username=rzl_wangjx@1111649216405698 --password=telpo.123 registry.cn-shanghai.aliyuncs.com
  docker pull registry.cn-shanghai.aliyuncs.com/telpo_platform/iot_gateway_service:$version
  docker run -v /home/data/iotgatewayserver/log:/var/log/iotgatewayserver -e active=pro --restart=always -d --network host  -p 8110:8110  --name iot_gateway_service registry.cn-shanghai.aliyuncs.com/telpo_platform/iot_gateway_service:$version
  #删除产生的None镜像
  docker rmi -f $(docker images | grep none | awk '{print $3}')
  docker ps -a
else
  if [[ $environment == 'test' ]]; then
    #echo "开始远程构建容器"
    docker stop iot_gateway_service || true
    docker rm iot_gateway_service || true

    docker rmi -f $(docker images | grep 139.224.254.18:5000/iot_gateway_service | awk '{print $3}')
    docker pull 139.224.254.18:5000/iot_gateway_service:$version
    docker run -v /home/data/iotgatewayserver/log:/var/log/iotgatewayserver -e active=test --restart=always -d --network host -p 8110:8110  --name iot_gateway_service 139.224.254.18:5000/iot_gateway_service:$version

    #删除产生的None镜像
    docker rmi -f $(docker images | grep none | awk '{print $3}')
    docker ps -a
  else
    docker stop iot_gateway_service || true
    docker rm iot_gateway_service || true
    docker rmi -f $(docker images | grep 139.224.254.18:5000/iot_gateway_service | awk '{print $3}')
    docker pull 139.224.254.18:5000/iot_gateway_service:$version
    docker run -v /home/data/iotgatewayserver/log:/var/log/iotgatewayserver -e active=dev --restart=always -d --network host  -p 8110:8110  --name iot_gateway_service telpo/iot_gateway_service:$version
    #删除产生的None镜像
    docker rmi -f $(docker images | grep none | awk '{print $3}')
    docker ps -a
  fi
fi
